<?php

namespace Drupal\menu_tree_compare\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for menu choice form.
 *
 * @internal
 */
class MenuChoiceForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'menu_choice_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $menu_options = menu_ui_get_menus();

    $form['from'] = [
      '#type' => 'select',
      '#title' => t('Menu to compare - Left'),
      '#options' => $menu_options,
    ];

    $form['to'] = [
      '#type' => 'select',
      '#title' => t('Menu to compare - Right'),
      '#options' => $menu_options,
    ];

    $form['submit'] = [
      '#type' => 'submit',
      '#value' => 'Compare',
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $route_parameters = [
      'from' => $form_state->getValue('from'),
      'to' => $form_state->getValue('to'),
    ];
    $form_state->setRedirect('menu_tree_compare.compare', $route_parameters, []);
  }

}
